import { Component, Show } from 'solid-js';
import RestClient from '../api/RestClient';
import { setStore, store } from '../App';
import Button from './Button';

const Navbar: Component = () => {
  return (
    <div class='flex justify-between items-center bg-sh-bg p-3'>
      <div class='flex items-center'>
        <a
          href='/'
          class='pl-2 text-xl font-bold no-underline text-sh-yellow hover:text-sh-yellowM1'
        >
          Just todo it!
        </a>
      </div>
      <h1 class='flex -ml-20 text-xl font-bold no-underline text-sh-yellow'>
        Hey {store.user.login}!
      </h1>
      <Show
        when={store.user.login !== ''}
        fallback={
          <>
            <Button
              onClick={() => (window.location.href = '/login')}
              backgroundColor='yellow'
              color='black'
            >
              Login
            </Button>
          </>
        }
      >
        <Button
          onClick={() => {
            RestClient.DELETE('/logout');
            setStore({ user: { id: '', login: '' } });
            window.location.href = '/login';
          }}
          backgroundColor='magenta'
          color='black'
        >
          Logout
        </Button>
      </Show>
    </div>
  );
};

export default Navbar;
